Subject: bug#25443: Unnecessary building of dictionary files

From: [email-masked] (Phillip Lord)
Date: Fri, 13 Jan 2017 21:46:07 +0000

The Emacs build generates a number of .el files from other sources as
part of leim. Some of these sources files appear to be no longer
distributed from their original source and have not been functionally
updated for over a decade.

These generation steps therefore complicate the build and the bootstrap
process, as they generated before emacs is dumped. These steps could,
therefore, be removed, with the currently generated .el files, becoming
the source.

Examples of files in question would be: files in MISC-DICT (such as
CTLau.html), ECDICT.tit, Punct-b5.tit.

Some of the dictionaries are still available from their original
sources, such as, for example SKK-JISYO.L.

We'd need to carry out a full audit before actually doing anything.

Phil